Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class X509StoreLDAPAttrCerts

    java.lang.Object
      org.bouncycastle.x509.X509StoreSpi
          org.bouncycastle.jce.provider.X509StoreLDAPAttrCerts

    public class X509StoreLDAPAttrCerts

extends X509StoreSpi

A SPI implementation of Bouncy Castle `X509Store` for getting attribute certificates from an LDAP directory.

See Also:
  `X509Store`

Constructor Summary
`X509StoreLDAPAttrCerts()`

Method Summary
`java.util.Collection` `engineGetMatches(Selector selector)` Returns a collection of matching attribute certificates from the LDAP location.
`void` `engineInit(X509StoreParameters parameters)` Initializes this LDAP attribute cert store implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509StoreLDAPAttrCerts

    public X509StoreLDAPAttrCerts()

Method Detail

### engineInit

    public void engineInit(X509StoreParameters parameters)

  Initializes this LDAP attribute cert store implementation.

  Specified by:
    `engineInit` in class `X509StoreSpi`
  Parameters:
    `parameters` - `X509LDAPCertStoreParameters`.
  Throws:
    `java.lang.IllegalArgumentException` - if `params` is not an instance of `X509LDAPCertStoreParameters`.

### engineGetMatches

    public java.util.Collection engineGetMatches(Selector selector)
                                          throws StoreException

  Returns a collection of matching attribute certificates from the LDAP location.

  The selector must be a of type `X509AttributeCertStoreSelector`. If it is not an empty collection is returned.

  The subject and the serial number should be reasonable criterias for a selector.

  Specified by:
    `engineGetMatches` in class `X509StoreSpi`
  Parameters:
    `selector` - The selector to use for finding.
  Returns:
    A collection with the matches.
  Throws:
    `StoreException` - if an exception occurs while searching.

Bouncy Castle Cryptography Library 1.45